Subject: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Mon, 28 Sep 2015 20:00:36 +0200

> The pre-built Windows version from September 23, 2015 doesn't yet have
 > the magical patch to support a pixelwise floating point.  I've taken
 > the first steps toward learning how to build Emacs on Windows, but
 > have encountered some initial stumbling blocks with a never ending
 > loop after the initial checking is performed during the make process.
 > I will work on it a little each day until I figure it out . . . .
 >
 > Debugger entered--Lisp error: (wrong-type-argument integerp 1200.0)
 >    x-create-frame(((visibility) (width . 1200.0) (height . 600.0)))

Obviously.  This works only with the patch I sent you.  But I asked you
to do on NS:

If with emacs -Q, you evaluate

(progn
   (setq frame-resize-pixelwise t)
   (setq frame-inhibit-implied-resize t)
   (make-frame '((width . 1200.0) (height . 600.0)
		(font . "-*-Courier-normal-normal-normal-*-17-*-*-*-m-0-iso10646-1"))))

what does

(cons (frame-text-width) (frame-text-height))

return?

martin